function [ds_drho]=ds_drho_ti1(s_func,s_par_inp,beta,rho_inp,type,leg)

ang=beta-s_par_inp(3);

sb=sind(ang);
cb=cosd(ang);
if(type == 'group')
  s_v_rho=s_par_inp(1)/rho_inp(1);
  s_h_rho=s_par_inp(2)/rho_inp(2);
  s_n_rho=s_par_inp(4)/rho_inp(3);

  s_par_rho_inp(1)=s_v_rho;
  s_par_rho_inp(2)=s_h_rho;
  s_par_rho_inp(4)=s_n_rho;

  Srho_inp=s_func(s_par_rho_inp,ang,type,leg);
  s_ell_inp=(s_ell(s_par_rho_inp,ang,type,leg));
  s_ell_inp_sq=s_ell_inp^2;

  den=(4.*Srho_inp*sqrt(s_ell_inp_sq^2 + ...
                       (s_v_rho^2)*(s_n_rho^2-s_h_rho^2)*sind(2*ang)^2));
  ds_drho_vv_ell=-(cb*s_v_rho)^2/(Srho_inp*rho_inp(1)); 
  ds_drho_vh_ell=-(sb*s_h_rho)^2/(Srho_inp*rho_inp(2)); 

%  ds_drho(1)=-cb^2/(Srho_inp*rho_inp(1)/s_par_inp(1)^2);
%  ds_drho(2)=-sb^2/(Srho_inp*rho_inp(2)/s_par_inp(2)^2);
  ds_drho(1)=.5*ds_drho_vv_ell*s_ell_inp/Srho_inp + ...
             (2.*ds_drho_vv_ell*(s_ell_inp^3)- ...
                sind(2*ang)^2*(s_v_rho^2*(s_n_rho^2-s_h_rho^2))/rho_inp(1))/den;

  ds_drho(2)=.5*ds_drho_vh_ell*s_ell_inp/Srho_inp + ...
             (2.*ds_drho_vh_ell*(s_ell_inp^3)+ ...
                sind(2*ang)^2*((s_v_rho*s_h_rho)^2)/rho_inp(2))/den;

  ds_drho(3)=(-sind(2*ang)^2*((s_v_rho*s_n_rho)^2)/rho_inp(3))/den;
else
  disp('PROBLEM in ds_drh')
end
