clear all

addpath /net/koko/homes/sep/biondo/MatLab/CIG/Aniso/Lib
addpath ./MatLab


% changing parameters
true_aniso_mig_iso=1;
use_default=1;
plot_res=1;

%scale_pert=.1;
scale_pert=1;


header_name='Rmo-rho.99-taylor-taylor-flat.H'

%slowness_type='iso';
%slowness_type='ell';
slowness_type='ti1';

%rock_type='iso';
%rock_type='ell';
%rock_type='pf';
%rock_type='gs';
%rock_type='gl';
%rock_type='mc';
%rock_type='ms';
rock_type='ts';
%rock_type='st';

v_mod=1;
rho_vmod=.99;

[gen_s_func,gen_s_der_func,gen_ds_drho,gen_phase_match_func,gen_phase_match_der_func]=slowness_func(slowness_type);

[name,v_mod,epsilon,delta]=rock(rock_type);


hx_data=0.25;
t_data=.9;

hx_sect_val=.0;

%flag=-10000000;

visible=0;
flag=-1;

mygreen=[0,1,0];
myred=[1,0,0];
myblue=[0,0,1];
mycyan=[0,1,1];
mymagenta=[1,0,1];
myyellow=[1,1,0];

%n_gamma=179;
%gamma_0=-89;
%d_gamma=1;


%if(rho_vmod <= 1)
%%  n_gamma=119;
%%  gamma_0=-59;
%%  d_gamma=1;
%%  n_gamma=99;
%%  gamma_0=-49;
%%  d_gamma=1;
%if (rock_type=='gs')
%%  n_gamma=33;
%%  gamma_0=-16;
%%  d_gamma=1;
%  n_gamma=9;
%  gamma_0=-4;
%  d_gamma=1;
%end
%else
%%  n_gamma=119;
%%  gamma_0=-59;
%%  d_gamma=1;
%
%%  n_gamma=79;
%%  gamma_0=-39;
%%  d_gamma=1;
%
%  n_gamma=83;
%  gamma_0=-41;
%  d_gamma=1;
%
%%  n_gamma=99;
%%  gamma_0=-49;
%%  d_gamma=1;

%n_gamma=139;
%gamma_0=-69;
%d_gamma=1;
%end
%

%n_alpha=5;
%alpha_0=-2;
%d_alpha=1;

n_gamma=159;
gamma_0=-79;
d_gamma=1;

%n_gamma=119;
%gamma_0=-59;
%d_gamma=1;

n_alpha=1;
alpha_0=0;
d_alpha=1;

[z_plot,gamma_plot]=mig_flat_event_new(true_aniso_mig_iso,use_default,plot_res,slowness_type,rock_type,rho_vmod,scale_pert,n_gamma,gamma_0,d_gamma,n_alpha,alpha_0,d_alpha);


[Sep_line]=sep_line_compl(gamma_plot,z_plot,header_name);
