clear all
%closereq
%closereq
%closereq

addpath /net/koko/homes/sep/biondo/MatLab/CIG/Aniso/Lib


% changing parameters
v_mod=1

slowness_type='ti1';
[gen_s_func,gen_s_der_func,gen_ds_drho,gen_phase_match_func,gen_phase_match_der_func]=slowness_func(slowness_type);

rock_type='ts';
[name,v_mod,epsilon,delta]=rock(rock_type);

hx_data=0.4
t_data=.9

mx_sect_val=.0

mx_cut=0;
hx_cut=0;

%flag=-10000000;

visible=0;
flag=-1;

mygreen=[0,1,0];
myred=[1,0,0];
myblue=[0,0,1];
myblack=[0,0,0];
mycyan=[0,1,1];
mymagenta=[1,0,1];
myyellow=[1,1,0];


tilt_ang=0.;

a_v=1;
a_h=sqrt(1.+2.*epsilon)*a_v;
a_n=sqrt(1.+2.*delta)*a_v;

gen_s_par(1)=1/(a_v*v_mod);
gen_s_par(2)=1/(a_h*v_mod);
gen_s_par(3)=tilt_ang;
gen_s_par(4)=1/(a_n*v_mod);


mx_data=0.

%n_gamma=179
%gamma_0=-89
%d_gamma=1

n_gamma=175
gamma_0=-87
d_gamma=1

n_alpha=175
alpha_0=-87
d_alpha=1


for i_alpha=1:n_alpha
  for i_gamma=1:n_gamma
    alpha(i_gamma,i_alpha)=alpha_0+(i_alpha-1)*d_alpha;
    gamma(i_gamma,i_alpha)=gamma_0+(i_gamma-1)*d_gamma;
  end
end


[z_ang_gen,mx_ang_gen,hx_ang_gen]=gen_surf_ang(gen_s_func,gen_s_par,t_data,mx_data,hx_data,gamma,alpha,flag);

[min_z_ang,max_z_ang,min_mx_ang,max_mx_ang,min_hx_ang,max_hx_ang]=max_min_zmx(z_ang_gen,mx_ang_gen,hx_ang_gen,flag);

axis_imp_ang=[1.1*min_mx_ang,1.1*max_mx_ang,1.1*min_hx_ang,1.1*max_hx_ang,1.1*min_z_ang,1.3*max_z_ang];

%az=30
az=30;
el=40;

[hfig_ang,haxis_ang]=basic_mesh(mx_ang_gen,hx_ang_gen,z_ang_gen,axis_imp_ang,'Mx (km)','Hx (km)','Depth (km)','Iso Gen','copper',1,0,az,el,visible);


[mx_sect_gen,hx_sect_gen,z_sect_gen]=cut_section(mx_ang_gen,hx_ang_gen,z_ang_gen,'mx',mx_cut);

[hfig_sect_gen,haxis_sect_gen,hplot_sect_gen]=basic_line(mx_sect_gen,hx_sect_gen,z_sect_gen,'Mx (km)','Hx (km)','Depth (km)','',axis_imp_ang,myblack,1,1,az,el,visible);

clear z_sect_gen hx_sect_gen mx_sect_gen

[mx_sect_gen,hx_sect_gen,z_sect_gen]=cut_section(mx_ang_gen,hx_ang_gen,z_ang_gen,'hx',hx_cut);

[hfig_sect_gen,haxis_sect_gen,hplot_sect_gen]=basic_line(mx_sect_gen,hx_sect_gen,z_sect_gen,'Mx (km)','Hx (km)','Depth (km)','',axis_imp_ang,mygreen,1,1,az,el,visible);

if(visible ~=1)
  print -depsc -r150 surf_taylor_hxd_dot_4.ps
%  print -dtiffnocompression surf_taylor_hxd_dot_4.tiff
end
