module image_types

integer, parameter ::  IMAGE_INPUT=-1
integer, parameter ::  IMAGE_OUTPUT=1
integer, parameter ::  IMAGE_NO_FILE=0

type image_param_type 
   logical cig_p_for_px
   character(len=128) :: tag_image,tag_dimage
   integer image_file,dimage_file
   integer n_z_image,esize_image,esize_dimage
   integer n_hx_image,n_hy_image,n_mx_image,n_my_image
   integer n_px_image,n_py_image
   real d_hx_image,d_hy_image,d_mx_image,d_my_image
   real d_px_image,d_py_image
   real hx_image_0,hy_image_0,mx_image_0,my_image_0
   real px_image_0,py_image_0
   real z_image_0,d_z_image
   real w_min_amp,w_max_amp
end type image_param_type 

end module image_types

