subroutine param_NAM(NAM_par)
  use sep
  use NAM_types

  implicit none

  type (NAM_param_type) NAM_par
  integer, external :: auxpar,getch,fetch,auxin,sreed,sseek,auxout

  call from_param("even_sampling",NAM_par%even_sampling,.false.)
  call to_history("even_sampling",NAM_par%even_sampling)

  call from_param("mig_type",NAM_par%mig_type,'cam')
  call to_history("mig_type",NAM_par%mig_type)

  call from_par("n_slow_split",NAM_par%n_slow_split,1)
  call to_history("n_slow_split",NAM_par%n_slow_split)

  call from_par("lbf_order",NAM_par%lbf_order,1)
  call to_history("lbf_order",NAM_par%lbf_order)

  call from_par("n_disp_rel",NAM_par%n_disp_rel,10001)
  call to_history("n_disp_rel",NAM_par%n_disp_rel)

  call from_par("min_delta_slow",NAM_par%min_delta_slow,.1)
  call to_history("min_delta_slow",NAM_par%min_delta_slow)

  call from_par("vel_salt",NAM_par%vel_salt,-1.)
  call to_history("vel_salt",NAM_par%vel_salt)

  call from_par("slow_salt",NAM_par%slow_salt,-1.)
  call to_history("slow_salt",NAM_par%slow_salt)

  call from_par("min_slow_alpha",NAM_par%min_slow_alpha,-1.)
  call to_history("min_slow_alpha",NAM_par%min_slow_alpha)

  call from_par("max_slow_alpha",NAM_par%max_slow_alpha,-1.)
  call to_history("max_slow_alpha",NAM_par%max_slow_alpha)

  return
end subroutine param_NAM
