!!  Slice
!
!
!%

program Slice

  use sep
  use slice_types
  use Slice_mod

  implicit none

  interface 
     subroutine param_slice(slice_par)
       use slice_types
       type (slice_param_type) slice_par
     end subroutine param_slice
  end interface
 

  type (slice_param_type) slice_par
  logical adj,add
  integer stat
  character(len=128) tag_data,tag_mod
  integer            :: omp_get_num_threads

  call initpar()

  call from_param('add',add,.false.)
  call from_param('adj',adj,.false.)

  call param_slice(slice_par)

  stat=Slice_init(slice_par)
!      write(0,*)'after init status=',stat
  stat=Slice_oper(slice_par)
!      write(0,*)'after oper status=',stat


!!$OMP PARALLEL
!!  write(0,*)'In Main: n_threads =',omp_get_num_threads()
!!$OMP END PARALLEL

  stop	

end program Slice
