module off2ang3d_types

type off2ang3d_param_type 
   character(len=128) :: tag_coplanar_stack,tag_coplanar_azim_ang
   character(len=128) :: tag_coplanar_ang
   logical verb,debug1,debug2
   logical create_coplanar_stack,create_stack,create_coplanar_azim_ang
   logical create_coplanar_ang
   logical ang_2d,apply_jac_gamma,apply_jac_azim_1,apply_jac_azim_2,jac_nowrap
   logical reciprocal_hx,reciprocal_hx_wrap
   logical space_domain,comaz_data,nam_adcig
   integer n_threads,max_memory
   integer esize,n_kz,n_kmx,n_kmy,n_hx,n_hx_pad,n_hy,n_hy_pad
   integer n_khx,n_khy
   integer n_gamma,n_azim,n_azim_max,sin_pow
   real sign_khy,sign_khy_nam
   real number_aliases
   real d_kz,d_kmx,d_kmy,d_hx,d_hy,d_khx,d_khy,d_gamma,d_azim
   real hx_0,hy_0,gamma_0,azim_0,z_0,mx_0,my_0
   real azim_gamma_0,azim_min_gamma_max,azim_max_gamma_max,azim_0_max
   real vel_khy_mean,freq_khy_mean,max_mult_khy_mean
   real hx_max,hy_max
end type off2ang3d_param_type 

end module off2ang3d_types

