subroutine param_Pre2D_salt_ffdpi(Pre2D_salt_ffdpi_par)
  use sep
  use Pre2D_salt_ffdpi_types

  implicit none
  type (Pre2D_salt_ffdpi_param_type) Pre2D_salt_ffdpi_par
  integer, external :: auxpar,getch,fetch,auxin,sreed,sseek,auxout

  call from_param("reference_slowness",Pre2D_salt_ffdpi_par%ref_slow,'avg')
  call to_history("reference_slowness",Pre2D_salt_ffdpi_par%ref_slow)
  call from_param("n_slow_ref",Pre2D_salt_ffdpi_par%n_slow_ref,1)
  call to_history("n_slow_ref",Pre2D_salt_ffdpi_par%n_slow_ref)
!  call from_param("lbf_order",Pre2D_salt_ffdpi_par%lbf_order,1)
!  call to_history("lbf_order",Pre2D_salt_ffdpi_par%lbf_order)
  call from_param("n_disp_rel",Pre2D_salt_ffdpi_par%n_disp_rel,10001)
  call to_history("n_disp_rel",Pre2D_salt_ffdpi_par%n_disp_rel)
  call from_param("min_delta_slow",Pre2D_salt_ffdpi_par%min_delta_slow,-.1)
  call to_history("min_delta_slow",Pre2D_salt_ffdpi_par%min_delta_slow)
  call from_param("vel_salt",Pre2D_salt_ffdpi_par%vel_salt,-1.)
  call to_history("vel_salt",Pre2D_salt_ffdpi_par%vel_salt)
  call from_param("slow_salt",Pre2D_salt_ffdpi_par%slow_salt,-1.)
  call to_history("slow_salt",Pre2D_salt_ffdpi_par%slow_salt)
  call from_param("range_salt",Pre2D_salt_ffdpi_par%range_salt,1.05)
  call to_history("range_salt",Pre2D_salt_ffdpi_par%range_salt)


! from ristow
  call from_param("stable",Pre2D_salt_ffdpi_par%stable,.true.)
  call to_history("stable",Pre2D_salt_ffdpi_par%stable)
  call from_param("n_interp",Pre2D_salt_ffdpi_par%n_interp,2)
  call to_history("n_interp",Pre2D_salt_ffdpi_par%n_interp)
  call from_param("dispers_interp",Pre2D_salt_ffdpi_par%dispers_interp,.false.)
  call to_history("dispers_interp",Pre2D_salt_ffdpi_par%dispers_interp)
  call from_param("ffdpi_order",Pre2D_salt_ffdpi_par%ffdpi_order,0)
  call to_history("ffdpi_order",Pre2D_salt_ffdpi_par%ffdpi_order)
  call from_param("k_start_lin",Pre2D_salt_ffdpi_par%k_start_lin,-1.)
  call to_history("k_start_lin",Pre2D_salt_ffdpi_par%k_start_lin)
  call from_param("opt_ang",Pre2D_salt_ffdpi_par%opt_ang,70.)
  call to_history("opt_ang",Pre2D_salt_ffdpi_par%opt_ang)
  call from_param("opt_azim",Pre2D_salt_ffdpi_par%opt_azim,0.)
  call to_history("opt_azim",Pre2D_salt_ffdpi_par%opt_azim)
  call from_param("max_acc_propag_angle",Pre2D_salt_ffdpi_par%max_acc_propag_angle,-1.)
  call to_history("max_acc_propag_angle",Pre2D_salt_ffdpi_par%max_acc_propag_angle)

  call from_param("min_vel_const",Pre2D_salt_ffdpi_par%min_vel_const,-1.)
  call to_history("min_vel_const",Pre2D_salt_ffdpi_par%min_vel_const)
  call from_param("max_vel_const",Pre2D_salt_ffdpi_par%max_vel_const,-1.)
  call to_history("max_vel_const",Pre2D_salt_ffdpi_par%max_vel_const)
  call from_param("min_slow_const",Pre2D_salt_ffdpi_par%min_slow_const,-1.)
  call to_history("min_slow_const",Pre2D_salt_ffdpi_par%min_slow_const)
  call from_param("max_slow_const",Pre2D_salt_ffdpi_par%max_slow_const,-1.)
  call to_history("max_slow_const",Pre2D_salt_ffdpi_par%max_slow_const)

  call from_param("type_bound",Pre2D_salt_ffdpi_par%type_bound,-1)
  call to_history("type_bound",Pre2D_salt_ffdpi_par%type_bound)
  call from_param("bound_width_1",Pre2D_salt_ffdpi_par%bound_width_1,1)
  call to_history("bound_width_1",Pre2D_salt_ffdpi_par%bound_width_1)
  call from_param("bound_width_n",Pre2D_salt_ffdpi_par%bound_width_n,1)
  call to_history("bound_width_n",Pre2D_salt_ffdpi_par%bound_width_n)
  call from_param("p_1_real",Pre2D_salt_ffdpi_par%p_1_real,1.)
  call to_history("p_1_real",Pre2D_salt_ffdpi_par%p_1_real)
  call from_param("p_1_imag",Pre2D_salt_ffdpi_par%p_1_imag,0.)
  call to_history("p_1_imag",Pre2D_salt_ffdpi_par%p_1_imag)
  call from_param("p_n_real",Pre2D_salt_ffdpi_par%p_n_real,1.)
  call to_history("p_n_real",Pre2D_salt_ffdpi_par%p_n_real)



  return
end subroutine param_Pre2D_salt_ffdpi
