module Ristow_salt_types

type Ristow_salt_param_type 

  character(len=128) :: ref_slow
  logical inline_2d,stable,dispers_interp
  integer n_disp_rel,type_bound
  integer n_slow_split,n_interp,ristow_order
  integer bound_width_1,bound_width_n
  real k_start_lin,opt_ang,opt_azim
  real max_acc_propag_angle
  real min_vel_const,max_vel_const
  real min_slow_const,max_slow_const
  real min_delta_slow,slow_salt,vel_salt
  real p_1_real,p_1_imag,p_n_real,p_n_imag

end type Ristow_salt_param_type 

end module Ristow_salt_types

