subroutine param_Ristow_salt(Ristow_salt_par)
  use sep
  use Ristow_salt_types

  implicit none
  type (Ristow_salt_param_type) Ristow_salt_par
  integer, external :: auxpar,getch,fetch,auxin,sreed,sseek,auxout

  call from_param("reference_slowness",Ristow_salt_par%ref_slow,'avg')
  call to_history("reference_slowness",Ristow_salt_par%ref_slow)
  call from_param("inline_2d",Ristow_salt_par%inline_2d,.false.)
  call to_history("inline_2d",Ristow_salt_par%inline_2d)
  call from_param("stable",Ristow_salt_par%stable,.false.)
  call to_history("stable",Ristow_salt_par%stable)
  call from_param("dispers_interp",Ristow_salt_par%dispers_interp,.false.)
  call to_history("dispers_interp",Ristow_salt_par%dispers_interp)
  call from_param("n_slow_split",Ristow_salt_par%n_slow_split,1)
  call to_history("n_slow_split",Ristow_salt_par%n_slow_split)
  call from_param("n_interp",Ristow_salt_par%n_interp,2)
  call to_history("n_interp",Ristow_salt_par%n_interp)
  call from_param("ristow_order",Ristow_salt_par%ristow_order,0)
  call to_history("ristow_order",Ristow_salt_par%ristow_order)
  call from_param("type_bound",Ristow_salt_par%type_bound,-1)
  call to_history("type_bound",Ristow_salt_par%type_bound)
  call from_param("n_disp_rel",Ristow_salt_par%n_disp_rel,10001)
  call to_history("n_disp_rel",Ristow_salt_par%n_disp_rel)
  call from_param("bound_width_1",Ristow_salt_par%bound_width_1,1)
  call to_history("bound_width_1",Ristow_salt_par%bound_width_1)
  call from_param("bound_width_n",Ristow_salt_par%bound_width_n,1)
  call to_history("bound_width_n",Ristow_salt_par%bound_width_n)
  call from_param("k_start_lin",Ristow_salt_par%k_start_lin,-1.)
  call to_history("k_start_lin",Ristow_salt_par%k_start_lin)
  call from_param("opt_ang",Ristow_salt_par%opt_ang,70.)
  call to_history("opt_ang",Ristow_salt_par%opt_ang)
  call from_param("opt_azim",Ristow_salt_par%opt_azim,0.)
  call to_history("opt_azim",Ristow_salt_par%opt_azim)
  call from_param("max_acc_propag_angle",Ristow_salt_par%max_acc_propag_angle,-1.)
  call to_history("max_acc_propag_angle",Ristow_salt_par%max_acc_propag_angle)
  call from_param("min_vel_const",Ristow_salt_par%min_vel_const,-1.)
  call to_history("min_vel_const",Ristow_salt_par%min_vel_const)
  call from_param("max_vel_const",Ristow_salt_par%max_vel_const,-1.)
  call to_history("max_vel_const",Ristow_salt_par%max_vel_const)
  call from_param("min_slow_const",Ristow_salt_par%min_slow_const,-1.)
  call to_history("min_slow_const",Ristow_salt_par%min_slow_const)
  call from_param("max_slow_const",Ristow_salt_par%max_slow_const,-1.)
  call to_history("max_slow_const",Ristow_salt_par%max_slow_const)
  call from_param("min_delta_slow",Ristow_salt_par%min_delta_slow,-.1)
  call to_history("min_delta_slow",Ristow_salt_par%min_delta_slow)
  call from_param("vel_salt",Ristow_salt_par%vel_salt,-1.)
  call to_history("vel_salt",Ristow_salt_par%vel_salt)
  call from_param("slow_salt",Ristow_salt_par%slow_salt,-1.)
  call to_history("slow_salt",Ristow_salt_par%slow_salt)
  call from_param("p_1_real",Ristow_salt_par%p_1_real,1.)
  call to_history("p_1_real",Ristow_salt_par%p_1_real)
  call from_param("p_1_imag",Ristow_salt_par%p_1_imag,0.)
  call to_history("p_1_imag",Ristow_salt_par%p_1_imag)
  call from_param("p_n_real",Ristow_salt_par%p_n_real,1.)
  call to_history("p_n_real",Ristow_salt_par%p_n_real)
  call from_param("p_n_imag",Ristow_salt_par%p_n_imag,0.)
  call to_history("p_n_imag",Ristow_salt_par%p_n_imag)
  return
end subroutine param_Ristow_salt
