program ab
  use sep
  integer :: n1,n2,n3,i1,i2,i
  real :: o1,o2,d1,d2,mymax,out(100,100)
  real, allocatable :: in(:,:)

  call sep_init() 
  call from_history("n1",n1)
  call from_history("n2",n2)


  allocate(in(n1*n2,2))
  call sreed("in",in,size(in)*4)

  o1=minval(in(:,1))
  mymax=maxval(in(:,1))
  d1=(mymax-o1)/99.

  o2=minval(in(:,2))
  mymax=maxval(in(:,2))
  d2=(mymax-o2)/99.

  call sep_put_data_axis_par("out",1,100,o1,d1,"par1")
  call sep_put_data_axis_par("out",2,100,o2,d2,"par2")
  call to_history("n3",1)

  out=0.
  do i=1,n1*n2
    i1=max(1,min(100,nint((in(i,1)-o1)/d1+1.)))
    i2=max(1,min(100,nint((in(i,2)-o2)/d2+1.)))
    out(i1,i2)=1+out(i1,i2)
  end do
 call srite('out',out,100*100*4)
  
end program
