module vti_params


contains
subroutine param_Pre2D_vti_ssf(Pre2D_vti_ssf_par)
  use sep
  use Pre2D_vti_ssf_types

  implicit none
  type (Pre2D_vti_ssf_param_type) Pre2D_vti_ssf_par
  integer, external :: auxpar,getch,fetch,auxin,sreed,sseek,auxout

  call from_param("reference_slowness",Pre2D_vti_ssf_par%ref_slow,'avg')
  call from_param("n_slow_split",Pre2D_vti_ssf_par%n_slow_split,1)
  call from_param("n_vti_delta",Pre2D_vti_ssf_par%n_vti_delta,1)
  call from_param("n_vti_eta",Pre2D_vti_ssf_par%n_vti_eta,1)
  call from_param("n_disp_rel",Pre2D_vti_ssf_par%n_disp_rel,10001)
  call from_param("min_delta_slow",Pre2D_vti_ssf_par%min_delta_slow,.1)
  call from_param("vel_salt",Pre2D_vti_ssf_par%vel_salt,-1.)
  call from_param("lloyd",Pre2D_vti_ssf_par%lloyd,.false.)
  call from_param("slow_salt",Pre2D_vti_ssf_par%slow_salt,-1.)
  call from_param("range_salt",Pre2D_vti_ssf_par%range_salt,1.05)

  call from_param("vti_delta",Pre2D_vti_ssf_par%vti_delta,huge(Pre2D_vti_ssf_par%vti_delta))
  call from_param("vti_epsilon",Pre2D_vti_ssf_par%vti_epsilon,huge(Pre2D_vti_ssf_par%vti_epsilon))
  call from_param("vti_eta",Pre2D_vti_ssf_par%vti_eta,huge(Pre2D_vti_ssf_par%vti_eta))
  return
end subroutine param_Pre2D_vti_ssf
end module
