function [ds_drho]=ds_drho_ell(s_func,s_par_inp,beta,rho_inp,type,leg)

ang=beta-s_par_inp(3); % That is the tilt angle

% The input for the computation of the group slowness is the group angle
sb=sind(ang);
cb=cosd(ang);
if(type == 'group')
  Srho_inp=s_func(s_par_inp,ang,type,leg);
  s_ell_sq=(s_ell(s_par_inp,ang,type,leg))^2;

  ds_drho(1)=-cb^2/(Srho_inp*(rho_inp(1)^3)/s_par_inp(1)^2);
  ds_drho(2)=-sb^2/(Srho_inp*(rho_inp(2)^3)/s_par_inp(2)^2);

  ds_drho(3)=0.;
else
  disp('PROBLEM in ds_drho_ell')
end
