module data_types

  integer, parameter ::  DATA_SYNTH=-2
  integer, parameter ::  DATA_INPUT=-1
  integer, parameter ::  DATA_OUTPUT=1
  integer, parameter ::  DATA_NO_FILE=0

  type data_param_type 
     character(len=128) tag_data,tag_ddata,tag_down_data,tag_down_ddata
     character(len=128) tag_wavefield
     integer esize_data,esize_ddata,esize_wavefield
     integer data_file,ddata_file,down_data_file,down_ddata_file
     integer wavefield_file
     integer n_hx,n_hy,n_mx,n_my
     integer n_hx_pad,n_hy_pad,n_mx_pad,n_my_pad
     integer n_w
     real d_hx,d_hy,d_mx,d_my,d_w,d_khx,d_khy,d_kmx,d_kmy
     real hx_0,hy_0,mx_0,my_0,w_0,khx_0,khy_0,kmx_0,kmy_0
     real hx_0_pad,hy_0_pad,mx_0_pad,my_0_pad
     real z_data_0,t_data_0
  end type data_param_type

end module data_types

