module slow_types

integer, parameter ::  SLOW_INPUT=-1
integer, parameter ::  SLOW_OUTPUT=1
integer, parameter ::  SLOW_NO_FILE=0
integer, parameter ::  SOU_COMP=1
integer, parameter ::  REC_COMP=2
integer, parameter ::  P_SLOW=1
integer, parameter ::  S_SLOW=2

type slow_param_type 
  logical slowness,extrapolate_slow,shear_receiver
  character(len=128) :: tag_slow,tag_dslow,tag_slow_shear
  integer slow_file,dslow_file,slow_shear_file
  integer esize_slow,esize_dslow,esize_slow_shear
  integer n_z_slow,n_mx_slow,n_my_slow,n_comp_slow
  real z_slow_0,d_z_slow,mx_slow_0,d_mx_slow,my_slow_0,d_my_slow
  real slow_0,dslow_0,slow_scale
end type slow_param_type 

end module slow_types

